UPDATE program
SET program.MonitoringType = device.[Type]
FROM AKUZ.T_DISTANCE_MONITORING_PROGRAM program
JOIN AKUZ.T_DISTANCE_MONITORING_DEVICE device 
    ON program.DistanceMonitoringDevice = device.DistanceMonitoringDeviceID
